from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.linguistic2 import XSupportedLocales

@runtime_checkable
class XProofreader(XSupportedLocales, Protocol):
    def isSpellChecker(self) -> bool: ...
    def resetIgnoreRules(self) -> None: ...
